<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
include("DF30000.inc");

require_once("DF80000.php");
require_once("DFMOVCAP.inc");
require_once("DFJQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='DYCLIBASCPS.php';
	var idObjDes='des_cli';
	var idObjCve='id_cli';
	var nomObjRad='tip_bus_cli';
	$("#"+idObjDes).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{typeRequest:'ac',tipBusCat:'nom'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{typeRequest:'ac',tipBusCat:'id'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).result(function(event, data, formatted){
		$("#"+idObjDes).val(data[0]);
		$("#"+idObjDes).focus();
	});	
	$("#"+idObjDes).result(function(event, data, formatted){
		$("#"+idObjCve).val(data[1]);
	});	

	//todos(document.getElementById('selAll'));
});


</script>
<body onLoad="movCap({idObj:'loadAse'});">
<form name="form1" method="post" action="" >
<table  align="center">
      <tr>
        <th colspan="2" nowrap scope="col">NOTAS DE CARGO </th>
      </tr>
      	<tr>
        	<td nowrap>


				<div align="center">
				  <label>
				  <input name="por_fec" type="checkbox" id="por_fec" value="1" <?php
if($_POST['por_fec']) echo 'checked'; ?>>
				  </label>
				</div></td>
            <td nowrap><div align="left" id="divFec">De: 
                <input name="fecini" type="text" class="emplea" id="fecini" size="15" 
			  	<?php
 
					if(isset($_POST['fecini']))
						echo 'value="'.$_POST['fecini'].'"'; 
				  	else
				    	echo 'value="'.date('d/m/Y').'"'; 
				?>>
              <input name="reset2" id="bot1" value=" ... " type="image" src="logos/cal4.jpg"/>
                <script type="text/javascript">
				  	Calendar.setup(
    					{
      						inputField  : "fecini",        // ID of the input field
      						ifFormat    : "%d/%m/%Y",    // the date format
      						button      : "bot1"      // ID of the button
    					}
  					);
				  </script>
a
<input name="fecfin" type="text" class="emplea" id="fecfin" size="15" 
			<?php
 
				if(isset($_POST['fecfin']))
			  		echo 'value="'.$_POST['fecfin'].'"'; 
			  	else
			  		echo 'value="'.date('d/m/Y').'"'; 
			?>>
<input name="reset2" id="bot2" value=" ... " type="image" src="logos/cal4.jpg"/>
<script type="text/javascript">
				  	Calendar.setup(
    					{
      						inputField  : "fecfin",        // ID of the input field
      						ifFormat    : "%d/%m/%Y",    // the date format
      						button      : "bot2"      // ID of the button
    					}
  					);
			    </script>
          </div></td>
   	  <tr>
        <td nowrap>
          <input name="por_cli" type="checkbox" id="por_cli" value="1"  <?php
if($_POST['por_cli']) echo 'checked'; ?>>		</td>
        <td nowrap>
		  <div align="left" id="divAse">
		    Cliente: 
		    <input name="id_cli" type="text" id="id_cli" size="10" value="<?php
echo $_POST['id_cli'];?>" >
            <input name="des_cli" type="text" id="des_cli" value="<?php
echo $_POST['des_cli'];?>" size="50">
	    </div>		</td>
      </tr>
      <tr>
        <td nowrap><label>
          <input name="por_fac" type="checkbox" id="por_fac" value="1"  <?php
if($_POST['por_fac']) echo 'checked'; ?>>
        </label></td>
        <td nowrap><div align="left" id="divFac">Tipo:
            <label>
            <select name="tip_fac" id="tip_fac">
              <?php

	  $sq_tipfac=mysqli_query($con ,"SELECT * FROM dgtipfac");
	  if(!isset($_REQUEST['tip_fac'])){
	  	$dt_tipfac=mysqli_fetch_array($sq_tipfac);
		$selTipFac=$dt_tipfac['tip_fac'];
		if(mysqli_num_rows($sq_tipfac)>0)
			mysqli_data_seek($sq_tipfac,0);
	  }else{
	  	$selTipFac=$_REQUEST['tip_fac'];
	  }
	  while($dt_tipfac=mysqli_fetch_array($sq_tipfac)){
	  	if($selTipFac==$dt_tipfac['tip_fac'])
	  		echo '<option value="'.$dt_tipfac['tip_fac'].'" selected>'.$dt_tipfac['des_tipfac'].'</option>';
		else
			echo '<option value="'.$dt_tipfac['tip_fac'].'">'.$dt_tipfac['des_tipfac'].'</option>';
	  }
	  ?>
            </select>
            </label>
          Num. Not.:
          
          <input name="num_fac" type="text" id="num_fac" value="<?php
echo $_POST['num_fac'];?>">
        </div></td>
      </tr>
      <tr>
        <td colspan="2" nowrap>
          <div align="center"><input name="buscar" type="submit" id="buscar" value="Buscar">
          </div>        </td>
      </tr>
    </table>

</form>

  <form name="frm1" method="post" action="" >
    <table    align="center" >
      <tr>
        <th colspan="7" nowrap>
          
          <div align="left">
            <input type="button" name="Submit6" value="Agregar" onClick="openpage('DV37000_AG.php','_self')"/>
            <input type="button" name="bot3" value="Consultar"  onClick="openpage('DV37000_CO.php','_self')"/>
            <input type="Submit" name="bot2" value="Modificar" onClick="openpage('DV37000_MO.php','_self')" />
            <input type="button" name="bot4" value="Cancelar" onClick="openpage('DV37000_EL.php','_self')" />
            <label></label>
            <input type="button" name="bot42" value="Imprimir " onClick="openpage('DV37000_IM.php','_self')"/>
          </div></th>
      </tr>
      <tr>
        <th nowrap><div align="center">Sel</div></th>
		<th nowrap><div align="center">Num. Fac. </div></th>
        <th nowrap>Fec. Fac. </th>
        <th nowrap><div align="center">Cliente </div></th>
		<th nowrap><div align="center">Subtotal</div></th>
		<th nowrap>I.V.A.</th>
		<th nowrap><div align="center">Total</div></th>
	  </tr>
	  
	
	<?php

if(isset($_POST['buscar'])){
	require_once("DV37000_CL.php");
	$encFac=new EncFac($data);	
	$sq_encfac=$encFac->getReportData(getDataBus());
	//echo mysqli_error($con);
	while($dt_encfac = mysqli_fetch_array($sq_encfac)){
		if($dt_encfac['esCan']) $class=' class="error"';
		else $class="";
	  	echo "<tr>";
		echo '<td><div align="center"'.$class.'><input name="bot" type="radio" value="'. $dt_encfac["idEncFac"].'">&nbsp</div></td>';
		echo '<td><div align="left" '.$class.'>'.$dt_encfac["numFac"] . '&nbsp</div></td>';
		echo '<td><div align="center"'.$class.'>'.$dt_encfac["fecFac"] . '&nbsp</div></td>';		
		echo '<td><div align="left" '.$class.'>'.$dt_encfac["nomCli"] . '&nbsp</div></td>';
		echo '<td><div align="right"'.$class.'>'  .number_format($dt_encfac["subFac"],2,'.',','). '&nbsp</div></td>';
		echo '<td><div align="right"'.$class.'>'.number_format($dt_encfac["ivaFac"],2,'.',','). '&nbsp</div></td>';
		echo '<td><div align="right"'.$class.'>'.number_format($dt_encfac["totFac"],2,'.',','). '&nbsp</div></td>';
		echo '</tr>';
	}
	mysqli_close($con);
}	
	?>
  </table>
</form>    
	</form>
    </div>
</body>
</html>